View Issue Details

IDProjectCategoryView StatusLast Update
0019990LazarusLCLpublic2011-09-12 23:22
ReporterAvishai Assigned ToJesus Reyes  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.31 (SVN) 
Fixed in Version0.9.31 (SVN) 
Summary0019990: Please add property BiDiMode and property ParentBiDiMode
DescriptionPlease add property BiDiMode and property ParentBiDiMode to the following components:

{Tab: Standard}
TCheckgroup
TFrame

{Tab: Data Controls}
TDBNavigator
TDBEdit
TDBMemo
TDBListBox
TDBLookupListBox
TDBComboBox
TDBLookupComboBox
TDBCheckBox
TDBRadioGroup
TDBGroupBox
TDBGrid

All of these components seem to work properly when the BiDi properties are added.
Tagsbidi
Fixed in Revision32301
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0019303 acknowledged BiDi meta issue 

Activities

Avishai

2011-09-04 09:59

reporter   ~0051443

Last edited: 2011-09-04 10:01

Even without adding BiDi Properties to the public section, if the Parent BiDiMode is RightToLeft, the components become RightToLeft and work correctly. But this is not a good solution.

Jesus Reyes

2011-09-12 21:13

developer   ~0051755

done, thanks.

Avishai

2011-09-12 23:22

reporter   ~0051757

Thank you Mr. Reyes.

Issue History

Date Modified Username Field Change
2011-08-15 20:24 Avishai New Issue
2011-08-15 20:24 Avishai Widgetset => Win32/Win64
2011-08-15 20:25 Avishai Tag Attached: bidi
2011-08-16 17:54 Juha Manninen Relationship added related to 0019303
2011-08-16 21:36 Jesus Reyes Status new => assigned
2011-08-16 21:36 Jesus Reyes Assigned To => Jesus Reyes
2011-09-04 10:00 Avishai Note Added: 0051443
2011-09-04 10:01 Avishai Note Edited: 0051443
2011-09-12 21:13 Jesus Reyes Fixed in Revision => 32301
2011-09-12 21:13 Jesus Reyes LazTarget => -
2011-09-12 21:13 Jesus Reyes Status assigned => resolved
2011-09-12 21:13 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-09-12 21:13 Jesus Reyes Resolution open => fixed
2011-09-12 21:13 Jesus Reyes Note Added: 0051755
2011-09-12 23:22 Avishai Status resolved => closed
2011-09-12 23:22 Avishai Note Added: 0051757